Subject: Re: bug#13226: 24.3.50; set-file-acl on MS Windows shall check ACL string format

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Dec 2012 18:25:07 +0200

> From: Michael Albinus <[email-masked]>
> Date: Wed, 19 Dec 2012 15:38:12 +0100
> Cc: [email-masked]
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > We should probably change file-acl so that its return value is tagged
> > with the "acl-system" it uses.  It could be a prefix like "w32:".
> > Then we can change set-file-acl so that it can either try to perform
> > conversion or signal a proper error that copy-file can handle.
> 
> D'accord. Instead of a prefix, `file-acl' could return a cons cell like
> '(w32 . "ACL-STRING").

What would that solve?  You cannot trust the ACL string obtained on
one machine to work on another anyway.  Adding the above will just add
unnecessary ballast that no one will ever be able to do anything
useful with.